****** ThinkSNS 2.8 正式版 更新说明 ******
+ 1.修复小名片中@功能在有些页面无法使用的bug
+ 2.修复后台认证功能设置失效的bug
+ 3.修复举报审核功能设置失效的bug
+ 4.修复新安装包勋章添加失败的bug（请删除有问题的勋章developer,mood）
+ 5.修复Ucenter同步登陆失效的bug
+ 5.优化广场页面,左菜单更换到顶部菜单
+ 6.更新Login插件,新浪微博支持Oauth2.0
+ 7.修复若干测试中发现的小bug

****** ThinkSNS 2.8 beta 更新说明 ******
+ 注意：新版本的系统系统备份功能升级,升级前请用phpmyadmin或mysqldump备份数据
+ 1.新增相册、日志、空间的隐私设置
+ 2.优化后台布局
+ 3.优化核心性能
+ 4.优化发布框效率
+ 5.修复若干bug

****** ThinkSNS 2.5 sp1 更新说明 ******
+ 注意：此sp1补丁包，包含2月14日发布以来的累计bug和优化，包含应用和插件的优化
+ 注意：安装此补丁，选面的各应用升级无需再下载升级文件，可直接覆盖本补丁中文件进行升级
+ 修复Ucenter同步与帐号激活出错的问题
+ 修复发图片微博无法同步到新浪（不能同步图片）
+ 修复同步登录获取信息失败的问题
+ 修复应用消息有些链接错误
+ 修复未登录时微博秀小工具头像、用户名错误
+ 修复广场应用插件在某些浏览器下开启失败的问题
+ 修复评论的评论发布不成功的问题
+ 修复分享模版解析不成功的问题
+ 修复两栏三栏的通栏广告问题
+ 修复IE下快捷发布博客发出html代码问题
+ 修复image_type_to_extension方法兼容性问题，有虚拟机不支持
+ 修复IIS下话题、专题的rewrite错误
+ 优化群首页帖子屏蔽私密群组帖子
+ 优化F方法,使用TP自带文件缓存
+ 修复wap版长微博详细页面没内容的错误
+ 优化wap版注册后直接登录到系统
+ 修复wap版下一些tslogo的地方，换成站点名称
+ 优化插件钩子位置，修复两栏下签到插件出现2次的问题
+ 优化了IIS的rewirte规则，/w3g定位到3g版
+ 修复后台驳回认证弹窗错误
+ 修复转发群聊表情在IE7、IE8下错位
+ 修复关注分组错误问题
+ 修复IIS下有些服务器应用分享弹窗一直loading的问题
+ 优化了alan的换肤插件,官方增加了几套背景和风格
+ 优化多图查看大图体验优化
+ 修复博客分类无法管理的bug
+ 修复IE下发起活动需要提交两次，内容字数判断提示错误的bug
+ 修复微博相册评论分页内容错误的bug
+ 优化地区选择，对地区数据进行缓存
+ 修复某些服务器环境下，群组弹窗分享一直loading的bug
+ 修复群组分享按钮的样式问题
+ 优化群组分类，对分类数据进行缓存
+ 修复群微博载入的js错误
+ 优化搜索框等多出样式，进行浏览器兼容性调整

****** ThinkSNS 2.5 ******
+ 优化风格包机制，支持在风格包中修改应用模版
+ 新增newstyle风格包，优化weibo、classic2风格包
+ 新增plugins插件机制，重写所有插件
+ 优化微博发布机制，可通过plugin扩展
+ 新增微博广场风云榜
+ 新增3G版，目前兼容android、ios平台
+ 优化Wap版，增加评论我的，增加消息数提醒
+ 新增微博相册
+ 新增小名片插件
+ 新增短网址等插件
+ 新增图片水印插件，需要将字体和水印图片自行放入addons/libs/WaterMark目录下
+ 新增ts_user_data表，存储用户辅助信息
+ 修正UCenter同步登录问题，并支持与GBK版Ucenter整合
+ 修正manyou应用消息中的错误链接
+ 新增自动加载分页功能
+ 新增微博小工具：博客挂件、分享到微博
+ 优化SEO，微博及各应用都有所优化
+ 其他几十项原有功能优化
+ 重写话题功能，增加关联表，不用搜索来实现
+ 优化IE各版本下的兼容性
+ 优化整体性能，增加内存缓存支持
+ 后台增加LOGO上传、登录页图片上传功能
+ 掌上微博ios、android客户端发布，站长可以使用掌上微博客户端登录自己的微博网站

****** ThinkSNS 2.4 ******
+ 新增插件机制和钩子布点
+ 部分功能移为插件：勋章、用户认证、最近来访的人、个人主页应用展示、广场应用展示
+ 微博模板提取为Widget
+ 修复首页微博数与个人空间微博数不等的BUG
+ 修复搜人页用户最近微博时间显示错误的BUG
+ 修复登录页滚动微博表情解析出错的BUG
+ 两栏模式下的推荐话题注释错误的BUG
+ 优化“文章配置”中对跳转URL的识别

****** ThinkSNS 2.3 ******
+ 修正个性域名设置的提示
+ 修复第三方登录时，将远程头像转换本地头像时大小不正确的BUG
+ 修复漫游页下广告位不正常的BUG
+ 对登录页微博的表情进行解析
+ 新增“广场”的应用展示模块
+ 新增最近来访的人
+ 新增“个人空间”页的用户应用展示模块
+ 记录微博话题产生的时间
+ 新增“话题页”
+ 新增“专题”功能，并能为“推荐话题”增加注释
+ “热门话题榜”修改为“推荐话题榜”和“时间话题榜”
+ 修复用户“详细资料”页下，“推荐给朋友”和“@TA”弹窗发布框无法发布的BUG

****** ThinkSNS 2.2 ******
+ 优化可能感兴趣的人: 四个纬度权重可配置(相同Tag/所在城市/好友的好友/我的粉丝), 执行时间降低90%
+ 修复关注用户时未判断uid有效性, 导致可能产生垃圾数据的bug
+ 新增微博广场和搜索的匿名访问 (后台可配置)
+ 优化安装包中MySQL链接错误时的提示
+ 粉丝榜后台可配置 (是否隐藏自动关注的用户, 是否隐藏无头像用户)
+ 修复缓存目录可能会被恶意创建的Bug
+ 优化调试模式, 开发时不需要频繁清理缓存
+ 全新设计的模版和登录页
+ 新增群组应用
+ 邀请的统计 新增ts_invite_record表
+ URL伪静态(支持Apache, IIS, Nginx)
+ 管理后台新增CNZZ统计
+ 管理后台自动侦测新版本
+ 管理后台一键完成升级
+ 新增@ 的智能联想功能
+ 新增身份认证功能
+ 修复微博发布框上传图片后再插入表情，图片被隐藏的bug
+ 修复进入他人主页-可以创建自己分组的bug
+ 修复已收藏微博，详情页还是显示收藏的bug
+ 修复两栏模板-设置-消息-热门话题榜不显示的bug
+ 修复后台编辑用户资料，通过新浪微博帐号登录的用户没有email等信息，无法编辑加入用户组的bug
+ 修复后台管理员可以删除所有帐号的bug，限制管理员无法删除超级管理员和自身帐号
+ 修复个人主页,筛选图片,视频,音乐，下面分页计数不准的bug
+ 优化微博插入链接计数
+ 修复编辑器未过滤JS的bug

****** ThinkSNS 2.1 Build 10992 ******
+ 修复漫游的底部文章链接被写死的bug
+ 修复"我的评论"->"收到的评论"->"其他应用"下的3个bug (无法使用快捷键 + textarea无法自动放大 + 勾选"同时发送微博"时微博的组装有问题)
+ 优化"我的评论"->"收到的评论"的链接, 加入"查看"按钮
+ wap版登录时显示错误的bug
+ 修复微博详情页的3个bug (评论框无法使用快捷键 + 无法"回复" + 时间为空链接)
+ 修复由个人主页登录时页面会自动跳转至weibo/Plugin/init的bug
+ 修复更改昵称后旧昵称仍然被缓存的bug
+ 修复"找人"->"可能认识"的用户列表为空的bug
+ 优化粉丝榜 (统一命名为"粉丝榜" + 剔除默认关注的用户)
+ 优化对手持设备的自动侦测
+ 优化搜索-关注页的页面的SQL
+ 修复微博详情页个人标签个多的链接的错误
+ 修复整合UCenter后，ThinkSNS注册页用户名判断不严谨的BUG
+ 修复“搜微博”代码中部分数据表前缀写死的BUG

****** ThinkSNS 2.1 Build 10920 ******
+ 发私信的收件人最多为10个
+ 修复查看他人的个人主页时, 显示自己的勋章的bug
+ 修复音乐播放器遮住转发框的bug
+ 修复countNew可能失败的bug
+ 优化:匿名访问个人主页时显示其勋章
+ 修复访问不存在的个性化域名时不提示错误的bug
+ 修复注册时可以通过设置$_POST['admin_level']将自己设置为超级管理员的漏洞
+ 优化:个人主页上@TA等多处的鼠标自动聚焦
+ 优化:点击复选框的文字时将复选框选中(同时发一条微博, 同时给XXX评论, 下次自动登录, 管理后台, etc.)
+ 优化:自动侦测手持设备并跳转至wap, 并在页面底部留有"访问正常版"/"访问Wap版"的链接
+ 修复微博广场的热门用户无法点击的bug
+ 优化:微博字数的计算方法与主流微博一致
+ [日志] 修复日志编辑时, 未判断标题长度的bug
+ [日志] 修复日志内容中含宽图时, 图片会撑破页面的bug
+ 修复漫游应用下微博广场的链接, 修复漫游后台管理在IE下乱码的bug
+ 修复后台"数据备份"在IE下的JS错误
+ 修复编辑器在IE下假死的bug, 去除编辑器不常用的功能
+ 性能优化
+ 集成UCenter

****** ThinkSNS 2.1 Beta Build 10470 ******
+ 修复点击漫游邀请的"接受邀请"时, 链接错误的bug
+ 修复用户标签的表前缀硬编码的bug
+ 部分微博列表页下发布或转发的微博将不会立即插入列表顶端，如搜索页
+ 修复只显示我关注的人的投票情况时，互粉的人的情况没有显示的BUG
+ 修复个人设置-设置教育/就职情况时间约束条件不够的BUG
+ 修复发布微博时, 字符不够140却提示失败的BUG
+ 修复话题内插入的表情, 该表情会被当做话题的bug
+ 修复在“我的评论”页, 回复评论的表情没有解析成表情图片的bug
+ 修复 好友->粉丝->推荐给好友 在IE8下javascript报错的bug
+ 修复“搜微博”页面, 搜索词带有"<"/">"等html符号或实体编码时出现混乱的bug
+ 修复在 添加我关注的话题 时, 带有javascript程序会报错或被执行的BUG
+ 修复 添加我关注的话题，带有特殊符号导致删除功能失效的BUG
+ 修复PNG和GIF图片上传后, 缩略图透明效果失效的BUG
+ 修正图片真实格式的识别方法
+ 修复输入文本的众多安全性问题
+ [活动] 修复活动编辑中开始时间可以晚于结束时间的BUG
+ 新增两栏分组样式, 后台可一键切换
+ 新增微博举报功能 新增ts_denounce表
+ 新增新增敏感词过滤功能
+ 新增热门话题的手动设置功能
+ 微博的删除为假删除, 后台保存副本 ts_weibo / ts_weibo_comment新增isdel字段
+ 新增后台操作自动保存操作日志的功能 新增ts_admin_log表
+ 新增关注的分组功能 新增ts_weibo_follow_group和ts_weibo_follow_group_link表
+ 新增"站外资源分享到微博"的功能
+ 全新设计的微博广场
+ 新增"热门转发"/"热门回复"/"热门话题"屏蔽指定话题的功能
+ 新增名人堂功能 新增ts_weibo_star和ts_weibo_star_group表
+ 修复使用第三方帐号登录时欢迎页面中站点名硬编码为"thinksns"的bug
+ 修复“管理后台-内容-评论”无分页的bug
+ 修复“设置-添加标签”能添加空格的bug
+ 修复后台添加的用户在前台登录时, 会要求"完善个人资料"的bug
+ 修复首次点击"应用消息"时, 没有将应用消息的计数置0的bug
+ 新增移动端自动检测的功能(自动跳转至wap版)
+ 修复GlobalCommentModel的删除操作未检查评论是否属于给定用户的bug
+ 修复使用第三方帐号时, 用户注册时间显示为1970年的bug
+ 修复使用第三方帐号时, 用户昵称可能重名的bug
+ 修复后台群发站内信/Email失败, 被发送的站内信内容为空的bug
+ 页面头部的"好友","应用","消息"增加默认链接
+ 修复应用关闭后, 后台也无法访问的bug
+ "后台-扩展-工具-数据备份"新增数据导入功能
+ 修复用户修改应用顺序时, 直接修改每个用户的应用顺序的bug
+ 管理后台新增"是否启用动态"的功能
+ 优化应用设置: 后台不设置前台入口时, 前台不展示
+ 修复已初始化的用户可以通过home/Public/userinfo更改昵称的bug
+ 修复用户昵称检查不严格的bug (2-10位的中英文/数字/下划线/中划线)
+ 新增使用QQ号登录的功能 ts_login修改type_uid字段
+ 对含转发的微博进行评论时，增加“同时评论给原作者”的选项
+ 修正页面顶部搜索条的提示字样
+ “找人”页中最新加入、粉丝最多和活跃用户项取消对已关注的人的过滤
+ 异步加载“可能感兴趣的人”Widget，且“可能感兴趣的人”为空时不显示
+ 异步加载“勋章”Widget
+ 优化公告：用户关闭公告后，若公告有更新，则重新弹出公告
+ 修复API发布的微博不会同步到sina的bug
+ 站外资源分享到站内时，URL地址直接转变为短地址
+ 新增评论的快捷键发送(Ctrl+Enter)
+ 优化注册结束后的“推荐关注好友”页的数据查询
+ 修复"设置"-"教育工作情况"动态添加内容无法删除的bug
+ 修复微博内容中的http和短链接会被过滤掉的bug
+ 修复微博内容中含有的URL不会被同步到sina的bug
+ 完善"管理后台-应用-微博"的功能
+ 分享到微博或微博通知时，URL地址直接转变为短地址
+ 优化微博和微博评论中对URL的识别的准确性
+ 修复删除含有话题的微薄时，该话题的微博数为更新的bug
+ 修复"后台-全局-文章配置"只写链接地址, 而前台未用作链接的bug
+ 新增数据库索引: ts_weibo_follow表的fid / uid
+ 新增数据库索引: ts_notify表的receive / ctime
+ 新增数据库索引: ts_user_app表的app_id / display_order / uid
+ 修复wap版发布空微博(不填写微博内容且不上次图片)时, 仍能成功发微博的bug
+ 新增两栏模式, 管理后台可以两栏/三栏一键切换
+ 优化后台的微博搜索(按ID搜索及排序)
+ 修复QQ登录的bug
+ 页面头部增加"微博广场", 去掉"好友"
+ 优化页面头部的小箭头(在"好友""应用""消息"频道下时, 头部的指示箭头指向相应频道)
+ 优化"收藏"=>"已收藏" 和 "取消收藏"=>"收藏"的转换
+ 修复个人简介超过一行时个人主页出现重叠的bug
+ 去掉"名人堂"的分类后面多了个"|"
+ 优化登录前的URL记录(不记录也不记录ajax的url)
+ "我的评论"-"微博评论"中显示对已有评论的回复
+ 微博广场新增"添加关注话题"的功能
+ 修复已经通过新浪登录的用户的创建时间仍然显示1970的bug 需要SQL升级
+ 修复添加我关注的话题时,带有特殊符号导致删除功能失效(点击关注不能即时显示，也无法取消)的bug
+ ts_comment标增加appuid字段
+ 优化好友分组(我的首页可以编辑/删除分组; 关注用户时, 允许用户选择用户组)
+ 修复土豆视频获取失败的问题(土豆网参数变动)
+ 完善微博广场(名人堂可以设置顺序; 热门转发/热门回复/活跃用户的规则后台可配置)
+ 在微博中回复他人的评论并“同时发微博”，则在微博中同时附上被回复的内容和当前微博内容，超出140字的部分截断
+ "我的评论"-"应用评论"中显示对已有评论的回复
+ 修复微博搜索页"关注话题/取消关注"按钮可能失效的bug
+ 修复已通过新浪登录的用户的创建时间为1970的bug
+ 修复微博广场"今日话题"微博轮换可能会出现多条微博的bug
+ 修复微博广场"活跃用户"视觉上未居中的问题
+ 优化用户本地应用列表的查询
+ 优化#话题#, @用户的正则匹配


****** ThinkSNS 2.0 build 7775 ******
+ 修复编辑个人标签时无法识别中文逗号的bug
+ 修复漫游下积分展示错误的bug
+ 制作漫游平台恢复/删除站点信息的教程
+ 优化新浪/豆瓣登录
+ 后台未配置新浪/豆瓣key和secret时，登录页面不展示使用新浪/豆瓣登录
+ 修复微博详情页评论计数错误的bug
+ 修复站点关闭后管理员无法登录的bug
+ 优化后台权限管理, 新增管理员登录页面
+ 修复同步新浪微博下发布微博后, 自动取消同步的bug
+ 新增选择用户Widget
+ "发私信"加入选择用户Widget
+ 个人空间加入勋章的展示
+ 修复前台注册的验证码未检查是否开启的bug
+ 修复点击验证码无法刷新(前台登录,后台登录,前台注册)的bug
+ 新增404错误提示页面
+ 优化同步新浪微博的绑定步骤, 修复可能存在安全问题的bug
+ 用户获取/丢失勋章时增加/减少积分
+ 优化微博对视频的支持, 支持新浪播客、优酷网、土豆网、酷6网、搜狐视频等
+ 修复IE6开启输入法时, 发布微博(首页/快速发布/分享)导致闪屏的bug
+ 修复"设置 - 个人资料"在IE6下错位的bug
+ 修复未上传头像也可以提交修改导致头像空白的bug
+ 修复头部下拉菜单在IE6下闪屏的bug
+ 新增前台积分规则说明(设置-积分规则)
+ 新增后台"编辑用户"与"设置用户积分"可以直接设定积分值的功能
+ 优化勋章展示的JS
+ 修复短消息未显示分页的bug
+ 修复"设置-帐号安全-修改帐号"时未发送邮件验证的bug及页面JS无响应的bug
+ 修复IE6下无法卸载应用的bug
+ 修复“有1条新微博”时, 双击会导致出现两条一样的微博的bug [增加防表单重复提交的方法]
+ 修复发私信时表单可能重复提交的bug
+ 使用新版本编辑器
+ 修复"来说说你的想法"在IE7下显示错位的bug


****** ThinkSNS 2.0 beta 7220 ******
+ 修复动态为空时,首页页面紊乱的bug
+ 优化评论Widget的通知发送
+ 修复提示框在IE下样式错误的bug
+ 修复提示框内容过长时样式错误的bug
+ 修复开启导致无法解析分享模板、广告等的bug
+ 修复微博评论与应用评论无法共存的bug
+ ts_comment表新增to_uid和data字段
+ ts_weibo表新增from_data字段
+ 修复首页在IE6下的兼容性bug
+ 修复"我的评论"中, 快捷回复的字数判断失败的bug
+ 前台"我的评论"新增查看应用评论的功能
+ 评论Widget中,新增“同时发一条微博”的功能
+ 后台新增评论管理功能
+ 新增ts_area表
+ 新增地区管理功能（目前简单处理，仅展示两级）
+ 新增后台数据库备份功能
+ 修复微博详情页的评论无法“同时发一条微博”的bug
+ 新增个性化域名后台可配置（启用OR禁用）的功能
+ ts_app新增version字段
+ 考虑到配置的简易性，后台资料配置中，所属模块限定为“个人情况”或“联系方式”，字段类型限定为“文本输入”。原“基本资料”的字段转移至“个人情况”
+ 修复获取新浪微博头像模糊的伪bug
+ 修复使用新浪微博帐号发微博、评论等时无法显示头像的bug
+ 修复新注册用户时，可能会出现未填写用户资料的用户的bug
+ 修复新用户注册，默认关注时动态和通知发送错误的bug
+ 修复“广告管理”和“文章管理”编辑器样式未生效的bug
+ 修复微博快速回复时未带上用户组图标的bug
+ 新增用户勋章功能，新增ts_medal和ts_user_medal表
+ 新增使用豆瓣帐号登录的功能
+ 优化后台菜单
+ 新增积分功能(新增ts_credit_setting, ts_credit_type, ts_credit_user表)


****** ThinkSNS 2.0 beta 6494 ******
+ 修复后台-微博配置-今日话题“操作失败”的bug
+ 优化微博转发
+ 修复邀请码错误的bug
+ 修改评论的排序方式,使得沙发不再变成地板
+ 修复前台"管理应用"及后台“安装应用/编辑应用”在IE下无效的bug
+ 新增公告功能
+ 新增消息群发(站内信、Email)功能
+ 新增“广告管理”功能
+ 新增“文章配置”功能（即页脚的“关于我们”等）
+ 修复后台首页统计中可能产生Model重名的bug
+ 优化分享机制
+ 新浪微博的key后台可配置
+ 修复话题页无法关注话题的bug
+ 修复头部搜索框提示信息被当作关键字的bug
+ 修复头部搜索框未判断关键字字数的bug
+ 修复微博搜索分页丢失关键字的bug，并优化搜索提示
+ 修复后台管理提示框在IE6/IE7下样式错误的bug
+ 修复广告系统中可能导致html未解析的bug
+ 修复动态为空时,首页页面紊乱的bug
+ 优化评论Widget的通知发送(作者与被回复人为同一用户时,只发送一封通知)
+ 修复热门话题为空时，微博广场页面错误的bug


****** ThinkSNS 2.0 beta 6002 ******
+ 修改cookie加密方式，避免对PHP mcrypt扩展的依赖（api认证的加密方式暂时仍使用mcrypt）
+ 修复新注册用户可以登录后台的bug
+ 修复无法上传图片、分享视频和音乐的bug
+ 修复大量IE6下的兼容性bug
+ 新增.htaccess文件以支持个性化域名
+ 新增用户组、权限配置的默认数据